Bug 880936

Summary: [RFE] [ALL_LANG - SAM Web GUI] - Error handling Mechanism to be smarter and effective
Product: Red Hat Satellite 6 Reporter: Satyabrata Maitra <smaitra>
Component: Content ManagementAssignee: Katello Bug Bin <katello-bugs>
Status: CLOSED NEXTRELEASE QA Contact: Katello QA List <katello-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: NightlyCC: bkearney, eng-i18n-bugs, lijli, qe-i18n-bugs, smaitra, tomckay
Target Milestone: UnspecifiedKeywords: FutureFeature, i18n, Translation, Triaged
Target Release: 6.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-04 14:00:54 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 971511    
Attachments:
Description Flags
Screen Shot for the error messages that showing in a new page. none

Description Satyabrata Maitra 2012-11-28 03:18:17 EST
Created attachment 653345 [details]
Screen Shot for the error messages that showing in a new page.

Description of problem:
This is a strange problem I have observed. Suppose you - User-1, are logged in with Admin rights and with selecting a particular organization, at the time of login into SAM Web GUI.
Suppose, at the same time, there is somebody else - User-2, who are also logged in with Admin rights, opting some other organization at the time of login. Then User-2 deletes the Organization that User-1 is logged in with.
Now, if User-1 tries to go to the "Manage Organization" page from Administrator --> Manage Organization, he or she will get a Error page. This error has been referred with this bug as a Screen shot attached here above.

This may look like an abstract scenario to meet, but when it appears, the application should be able to manage and act according to the dynamic changes made in managing all data successfully in instant, without showing up these kind of error page.
 
Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:
Always

Steps to Reproduce:
Action Phase-I
1. Login as Admin in SAM Web GUI.
2. Select any Organization

Action Phase-II 
1. On another system, Login as Admin in SAM Web GUI
2. Select any Organization other than that has been selected during Action 
   Phase-I.
3. Now, Delete the Organization selected in Action-Phase-I
   Administrator --> Manage Organization
   Select the Organization of Action Phase-I from the list showing in the Left 
   pane of the window.
Now, go back to the first system
1. Click on Administrator --> Manage Organization
2. Observe the Result.

Actual results:
Some error page showing with AbstractController double rendering error.

Expected results:
The online app should handle this kind of error more efficiently, providing the current  user more dynamic info regarding the parallel uses and management (adding, modifying, deleting org, or some other transactions) actions.

Additional info: Screen Shot attached.
Comment 1 Tom McKay 2012-11-28 08:30:27 EST
You are absolutely correct. I have added this as an RFE to be addressed in future.
Comment 2 Satyabrata Maitra 2012-11-29 06:09:23 EST
Hi Tom

Thanks! :)
Comment 3 Tom McKay 2012-12-18 09:49:08 EST
Moving to CFSE where the problem resides as well
Comment 5 Bryan Kearney 2014-09-04 14:00:54 EDT
I believe this is fixed with the new foreman base. I am closing this out as current release. If you disagree, please feel free to re-open